import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnersResolver } from './resolvers/partner.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
